Subject: bug#44825: closed (Re: bug#44825: Error in reporting guix deploy error)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Nov 2020 22:42:02 +0000

Your bug report

#44825: Error in reporting guix deploy error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44825: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44825
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44825: Error in reporting guix deploy error
From: Ludovic Courtès <[email-masked]>
To: Christopher Lemmer Webber <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Nov 2020 23:41:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Chris,

Christopher Lemmer Webber <[email-masked]> skribis:

> Seems strange... the message I get:
>
>   guix deploy: error: failed to deploy tulsi: ~A: ~S
>
> Errors upon errors!  Formatting this time, apparently. :)
>
> Looking at the relevant code:
>
> (define (deploy-machine* store machine)
>   "Deploy MACHINE, taking care of error handling."
>   (info (G_ "deploying to ~a...~%")
>         (machine-display-name machine))
>
>   (guard (c ((message-condition? c)
>              (report-error (G_ "failed to deploy ~a: ~a~%")
>                            (machine-display-name machine)
>                            (condition-message c)))

[...]

I believe this is fixed by 5842239a66683b2f5e36e95da8225e2ab7f7dac3.

Thanks!

Ludo’.

Subject: Error in reporting guix deploy error
From: Christopher Lemmer Webber <[email-masked]>
To: [email-masked]
Date: Mon, 23 Nov 2020 13:09:42 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Seems strange... the message I get:

  guix deploy: error: failed to deploy tulsi: ~A: ~S

Errors upon errors!  Formatting this time, apparently. :)

Looking at the relevant code:

(define (deploy-machine* store machine)
  "Deploy MACHINE, taking care of error handling."
  (info (G_ "deploying to ~a...~%")
        (machine-display-name machine))

  (guard (c ((message-condition? c)
             (report-error (G_ "failed to deploy ~a: ~a~%")
                           (machine-display-name machine)
                           (condition-message c)))
            ((deploy-error? c)
             (when (deploy-error-should-roll-back c)
               (info (G_ "rolling back ~a...~%")
                     (machine-display-name machine))
               (run-with-store store (roll-back-machine machine)))
             (apply throw (deploy-error-captured-args c))))
    (run-with-store store (deploy-machine machine))

    (info (G_ "successfully deployed ~a~%")
          (machine-display-name machine))))

I looked at other examples of report-error, they seemed similar.. can't
see why this one wouldn't be formatting correctly.  Any idea?